
<form 
	nz-form 
	[nzNoColon]="true" 
	[formGroup]="form">
	<div 
		class="w-full" 
		fxLayout="row" 
		fxLayoutAlign="space-between start">
		<div 
			class="profile-picture w-full h-full" 
			fxLayout="column" 
			fxLayoutAlign="space-between center" 
			fxFlex="30">
			<nz-avatar 
				[nzSize]="90" 
				[nzShape]="'square'" 
				nzIcon="mdi:camera-plus">
			</nz-avatar>
		</div>
		<div 
			class="input-fields w-full h-full" 
			fxFlex="column" 
			fxFlex="65">
			<div>
				<nz-form-item>
					<nz-form-label 
						class="labels" 
						nzRequired>
					</nz-form-label>
					<nz-form-control [nzErrorTip]="idErrorTpl">
						<nz-input-group nzPrefixIcon="mdi:identifier">
							<input 
								nz-input 
								name="id" 
								type="text" 
								placeholder="Discord ID..."
								formControlName="id"/>
						</nz-input-group>
						<ng-template #idErrorTpl let-control>
							<ng-container *ngIf="control.hasError('required')">
								A Discord ID is required!
							</ng-container>
						</ng-template>
					</nz-form-control>
				</nz-form-item>
			</div>
			<div>
				<nz-form-item>
					<nz-form-label 
						class="labels" 
						nzRequired>
					</nz-form-label>
					<nz-form-control [nzErrorTip]="usernameErrorTpl">
						<nz-input-group nzPrefixIcon="mdi:discord">
							<input 
								nz-input 
								name="username" 
								type="text" 
								placeholder="Username..."
								formControlName="username"/>
						</nz-input-group>
						<ng-template #usernameErrorTpl let-control>
							<ng-container *ngIf="control.hasError('required')">
								A Discord username is required!
							</ng-container>
						</ng-template>
					</nz-form-control>
				</nz-form-item>
			</div>
		</div>
	</div>
	<div
		fxLayout="row" 
		fxLayoutAlign="space-between start">
		<div 
			class="w-full h-full" 
			fxFlex="30">
			<nz-form-item>
				<nz-form-control>
					<nz-select 
						*ngIf="true" 
						class="w-full" 
						name="roles" 
						nzMode="multiple"
						nzPlaceHolder="Roles" 
						[nzMaxTagCount]="0" 
						[nzMaxTagPlaceholder]="tagPlaceHolder"
						formControlName="roles">
						<nz-option 
							*ngFor="let item of listOfRoles" 
							[nzLabel]="item" 
							[nzValue]="item">
						</nz-option>
					</nz-select>
					<ng-template 
						#tagPlaceHolder 
						let-selectedList>
						+{{ selectedList.length }} roles
					</ng-template>
				</nz-form-control>
			</nz-form-item>
		</div>
		<div fxFlex="65">
			<nz-form-item>
				<nz-form-label 
					class="labels" 
					nzRequired>
				</nz-form-label>
				<nz-form-control [nzErrorTip]="emailErrorTpl">
					<nz-input-group nzPrefixIcon="mdi:at">
						<input 
							nz-input 
							name="email" 
							type="email" 
							placeholder="Email..."
							formControlName="email"/>
					</nz-input-group>
					<ng-template #emailErrorTpl let-control>
						<ng-container *ngIf="control.hasError('required')">
							The email, associated with the Discord, is required!
						</ng-container>
						<ng-container *ngIf="control.hasError('email')">
							Is not a valid email
						</ng-container>
					</ng-template>
				</nz-form-control>
			</nz-form-item>
		</div>
	</div>
</form>

